json-c 0.13

Data Fields
json_object::data Union Reference

## Data Fields
json_bool | c_boolean
double | c_double
int64_t | c_int64
struct lh_table * | c_object
struct array_list * | c_array
struct {
union {
char * ptr
char data [LEN_DIRECT_STRING_DATA]
} str
int len
} | c_string

## Field Documentation

## ◆ c_array

struct array_list* json_object::data::c_array

## ◆ c_boolean

json_bool json_object::data::c_boolean

## ◆ c_double

double json_object::data::c_double

## ◆ c_int64

int64_t json_object::data::c_int64

## ◆ c_object

struct lh_table* json_object::data::c_object

## ◆

struct { ... } json_object::data::c_string

## ◆ data

char json_object::data::data[LEN_DIRECT_STRING_DATA]

## ◆ len

int json_object::data::len

## ◆ ptr

char* json_object::data::ptr

## ◆

union { ... } json_object::data::str

The documentation for this union was generated from the following file:

- json_object_private.h